Bug 238283 - devel/{lib}zookeeper: Update to 3.5.5
Summary: devel/{lib}zookeeper: Update to 3.5.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-06-01 20:44 UTC by Dmitry Wagin
Modified: 2019-07-14 02:54 UTC (History)
0 users

See Also:
dmitry.wagin: maintainer-feedback-


Attachments
zookeeper.diff (5.75 KB, patch)
2019-06-01 20:44 UTC, Dmitry Wagin
no flags Details | Diff
libzookeeper.diff (2.20 KB, patch)
2019-06-01 20:45 UTC, Dmitry Wagin
no flags Details | Diff
zookeeper.diff (6.58 KB, patch)
2019-06-02 05:50 UTC, Dmitry Wagin
no flags Details | Diff
zookeeper.diff (6.57 KB, patch)
2019-06-02 05:55 UTC, Dmitry Wagin
no flags Details | Diff
zookeeper.diff (7.16 KB, patch)
2019-06-08 13:43 UTC, Dmitry Wagin
no flags Details | Diff
zookeeper.diff (7.17 KB, patch)
2019-06-08 14:54 UTC, Dmitry Wagin
no flags Details | Diff
zookeeper.diff (7.21 KB, patch)
2019-06-08 17:53 UTC, Dmitry Wagin
no flags Details | Diff
zookeeper.diff (7.90 KB, patch)
2019-06-08 19:04 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-06-01 20:44:54 UTC
Created attachment 204766 [details]
zookeeper.diff

20 May, 2019: release 3.5.5 available

First stable version of 3.5 branch. This release is considered to be the successor of 3.4 stable branch and recommended for production use.
It contains 950 commits, resolves 744 issues, fixes 470 bugs and includes the following new features:

    Dynamic reconfiguration
    Local sessions
    New node types: Container, TTL
    SSL support for Atomic Broadcast Protocol
    Ability to remove watchers
    Multi-threaded commit processor
    Upgraded to Netty 4.1
    Maven build

Various performance and stability improvements.
Comment 1 Dmitry Wagin 2019-06-01 20:45:32 UTC
Created attachment 204767 [details]
libzookeeper.diff
Comment 2 Dmitry Wagin 2019-06-02 05:50:06 UTC
Created attachment 204772 [details]
zookeeper.diff
Comment 3 Dmitry Wagin 2019-06-02 05:55:58 UTC
Created attachment 204773 [details]
zookeeper.diff
Comment 4 Dmitry Wagin 2019-06-08 13:43:54 UTC
Created attachment 204902 [details]
zookeeper.diff

added support daemon supervise and restart functionality
Comment 5 Dmitry Wagin 2019-06-08 14:54:50 UTC
Created attachment 204904 [details]
zookeeper.diff

added title for the daemon process
Comment 6 Dmitry Wagin 2019-06-08 17:53:34 UTC
Created attachment 204908 [details]
zookeeper.diff

added requirement for log directory
Comment 7 Dmitry Wagin 2019-06-08 19:04:01 UTC
Created attachment 204915 [details]
zookeeper.diff

added syslog output
Comment 8 Dmitry Wagin 2019-06-23 21:18:00 UTC
maintainer timeout
Comment 9 commit-hook freebsd_committer 2019-07-14 02:43:04 UTC
A commit references this bug:

Author: skreuzer
Date: Sun Jul 14 02:42:51 UTC 2019
New revision: 506594
URL: https://svnweb.freebsd.org/changeset/ports/506594

Log:
  Update to version 3.5.5

  PR:		238283
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/devel/libzookeeper/Makefile
  head/devel/libzookeeper/distinfo
  head/devel/libzookeeper/pkg-plist
Comment 10 commit-hook freebsd_committer 2019-07-14 02:47:06 UTC
A commit references this bug:

Author: skreuzer
Date: Sun Jul 14 02:46:44 UTC 2019
New revision: 506595
URL: https://svnweb.freebsd.org/changeset/ports/506595

Log:
  Update to version 3.5.5

  PR:		238283
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/devel/zookeeper/Makefile
  head/devel/zookeeper/distinfo
  head/devel/zookeeper/files/zkCli.sh.in
  head/devel/zookeeper/files/zookeeper.in
  head/devel/zookeeper/pkg-plist
Comment 11 Steven Kreuzer freebsd_committer 2019-07-14 02:54:41 UTC
committed. thanks!